package cn.newfeifan.mall.module.distri.service.integralchangelog;

import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.module.distri.controller.admin.integralchangelog.vo.IntegralChangeLogPageReqVO;
import cn.newfeifan.mall.module.distri.controller.admin.integralchangelog.vo.IntegralChangeLogRespVO;
import cn.newfeifan.mall.module.distri.controller.admin.integralchangelog.vo.IntegralChangeLogSaveReqVO;
import cn.newfeifan.mall.module.distri.dal.dataobject.integralchangelog.IntegralChangeLogDO;

import javax.validation.Valid;

/**
 * 平台消费分变动记录 Service 接口
 *
 * @author 非繁人
 */
public interface IntegralChangeLogService {

    /**
     * 创建平台消费分变动记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConsumptionChangeLog(@Valid IntegralChangeLogSaveReqVO createReqVO);

}